import JSBI from 'jsbi';
export declare type BigintIsh = JSBI | bigint | string;
export declare enum ChainId {
    MAINNET = 1,
    STANDALONE = 1281,
    MOONROCK = 1286,
    MOONBASE = 1287,
    MOONSHADOW = 1288
}
export declare enum TradeType {
    EXACT_INPUT = 0,
    EXACT_OUTPUT = 1
}
export declare enum Rounding {
    ROUND_DOWN = 0,
    ROUND_HALF_UP = 1,
    ROUND_UP = 2
}
export declare const FACTORY_ADDRESS: {
    [key: string]: string;
};
export declare const PYLON_FACTORY_ADDRESS: {
    [key: string]: string;
};
export declare const INIT_CODE_HASH = "0x83fa3fe03efa94ea5dcaa613c5d460a5ae0739beb23a8b3d50888ff669acaf71";
export declare const PYLON_CODE_HASH = "0xed0e51baf11f697f49862388de055b1e979de3dade733a7722918706b13940d2";
export declare const PT_CODE_HASH = "0x9591aa59e2c127dadb4156c5305d0a8996165c8bedd5847deae8c04aae15c7da";
export declare const MINIMUM_LIQUIDITY: JSBI;
export declare const ZERO: JSBI;
export declare const ONE: JSBI;
export declare const TWO: JSBI;
export declare const THREE: JSBI;
export declare const FIVE: JSBI;
export declare const TEN: JSBI;
export declare const EIGHTEEN: JSBI;
export declare const BASE: JSBI;
export declare const _100: JSBI;
export declare const _997: JSBI;
export declare const _1000: JSBI;
export declare enum SolidityType {
    uint8 = "uint8",
    uint256 = "uint256"
}
export declare const SOLIDITY_TYPE_MAXIMA: {
    uint8: JSBI;
    uint256: JSBI;
};
